- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::grid Struct Reference

## Public Member Functions
| grid (Eo *eo)
| Eo Constructor. More...
| grid (std::nullptr_t)
| nullptr_t Constructor. More...
| grid (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| grid (grid const &other)
| Copy Constructor.
bool | mirrored_get () const
| Gets the mirrored mode of the grid. More...
void | mirrored_set (bool mirrored_) const
| Sets the mirrored mode of the grid. More...
void | size_get (int *w_, int *h_) const
| Get the current virtual resolution. More...
void | size_set (int w_, int h_) const
| Set the virtual resolution for the grid. More...
efl::eina::list< evas::object > | children_get () const
| Get the list of children for the grid. More...
Eina_Accessor * | accessor_new () const
| Get an accessor to get random access to the list of children for the grid. More...
void | clear (bool clear_) const
| Faster way to remove all child objects from a grid object. More...
Eina_Iterator * | iterator_new () const
| Get an iterator to walk the list of children for the grid. More...
evas::object | add_to () const
| Create a grid that is child of a given element parent. More...
bool | unpack (evas::object child_) const
| Remove child from grid. More...
bool | pack_get (evas::object child_, int *x_, int *y_, int *w_, int *h_) const
| Get the pack options for a grid child. More...
bool | pack (evas::object child_, int x_, int y_, int w_, int h_) const
| Add a new child to a grid object. More...
Public Member Functions inherited from evas::smart_clipped
| smart_clipped (Eo *eo)
| Eo Constructor. More...
| smart_clipped (std::nullptr_t)
| nullptr_t Constructor. More...
| smart_clipped (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| smart_clipped (smart_clipped const &other)
| Copy Constructor.
void | hide () const
| No description supplied by the EAPI.
void | clip_set (evas::object clip_) const
| No description supplied by the EAPI. More...
void | clip_unset () const
| No description supplied by the EAPI.
void | show () const
| No description supplied by the EAPI.
void | color_set (int r_, int g_, int b_, int a_) const
| No description supplied by the EAPI. More...
void | move (Evas_Coord x_, Evas_Coord y_) const
| No description supplied by the EAPI. More...
void | member_del (evas::object sub_obj_) const
| Removes a member object from a given smart object. More...
void | add () const
| Instantiates a new smart object described by `s`. More...
void | del () const
| Deletes a smart object.
void | member_add (evas::object sub_obj_) const
| Set an Evas object as a member of a given smart object. More...
Public Member Functions inherited from evas::object_smart
| object_smart (Eo *eo)
| Eo Constructor. More...
| object_smart (std::nullptr_t)
| nullptr_t Constructor. More...
| object_smart (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| object_smart (object_smart const &other)
| Copy Constructor.
bool | smart_type_check_ptr (std::string type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
bool | smart_type_check (std::string type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
bool | need_recalculate_get () const
| Get the value of the flag signalling that a given smart object needs to get recalculated. More...
void | need_recalculate_set (bool value_) const
| Set or unset the flag signalling that a given smart object needs to get recalculated. More...
void | clip_set (evas::object clip_) const
| No description supplied by the EAPI. More...
void | color_set (int r_, int g_, int b_, int a_) const
| No description supplied by the EAPI. More...
void | data_set (void *data_) const
| Store a pointer to user data for a given smart object. More...
efl::eina::range_list < evas::object > | members_get () const
| Retrieves the list of the member objects of a given Evas smart object. More...
Evas_Smart * | smart_get () const
| Get the Evas_Smart from which `obj` smart object was created. More...
void | show () const
| No description supplied by the EAPI.
void | move (Evas_Coord x_, Evas_Coord y_) const
| No description supplied by the EAPI. More...
bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_) const
| Set an smart object instance's smart callbacks descriptions. More...
void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_) const
| Retrieve an smart object's know smart callback descriptions (both instance and class ones). More...
Eina_Iterator * | iterator_new () const
| Retrieves an iterator of the member objects of a given Evas smart object. More...
void | callback_description_find (std::string name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_) const
| Find callback description for callback called name. More...
void | hide () const
| No description supplied by the EAPI.
void | calculate () const
| Call the calculate() smart function immediately on a given smart object. More...
void | add () const
| Instantiates a new smart object described by `s`. More...
void | member_add (evas::object sub_obj_) const
| Set an Evas object as a member of a given smart object. More...
void | resize (Evas_Coord w_, Evas_Coord h_) const
| No description supplied by the EAPI. More...
void | clip_unset () const
| No description supplied by the EAPI.
void | changed () const
| Mark smart object as changed, dirty. More...
void | member_del (evas::object sub_obj_) const
| Removes a member object from a given smart object. More...
void | del () const
| Deletes a smart object.
void | attach (Evas_Smart *s_) const
| Attach a given smart data to a given smart object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| object (object const &other)
| Copy Constructor.
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
Evas * | evas_get () const
| No description supplied by the EAPI. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
bool | visibility_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visibility_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
std::string | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (std::string type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
std::string | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (std::string name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
void | size_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (Evas_Coord w_, Evas_Coord h_) const
| Changes the size of the given Evas object. More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
void | position_get (Evas_Coord *x_, Evas_Coord *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (Evas_Coord x_, Evas_Coord y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
evas::object | below_get () const
| Get the Evas object stacked right below `obj`. More...
efl::eina::crange_list < evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
evas::object | above_get () const
| Get the Evas object stacked right above `obj`. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (std::string keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
void | stack_below (evas::object below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (evas::object above_) const
| Stack `obj` immediately above `above`. More...
bool | smart_type_check (std::string type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
evas::object | name_child_find (std::string name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (std::string keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (std::string type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::smart_clipped
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object_smart
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

evas::grid::grid | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::grid::grid | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

evas::grid::grid | ( | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)` | ) |
| inline

Call the object's constructor.

Should not be used with #eo_do. Only use it with #eo_do_super.

## Member Function Documentation

bool evas::grid::mirrored_get | ( |  | ) | const
| inline

Gets the mirrored mode of the grid.

Returns
  `EINA_TRUE` if it's a mirrored grid, `EINA_FALSE` otherwise.

See also
  evas_object_grid_mirrored_set()

Since
  1.1

Parameters

  mirrored | the mirrored mode to set

References efl::eo::base::_eo_ptr().

void evas::grid::mirrored_set | ( | bool | mirrored_ | ) | const
| inline

Sets the mirrored mode of the grid.

In mirrored mode the grid items go from right to left instead of left to right. That is, 0,0 is top right, not to left.

Since
  1.1

Parameters

  mirrored | the mirrored mode to set

References efl::eo::base::_eo_ptr().

void evas::grid::size_get | ( | int * | w_,
|  | int * | h_
| ) |  | const
| inline

Get the current virtual resolution.

See also
  evas_object_grid_size_set()

Since
  1.1

Parameters

  w | The virtual horizontal size (resolution) in integer units
  h | The virtual vertical size (resolution) in integer units

References efl::eo::base::_eo_ptr().

void evas::grid::size_set | ( | int | w_,
|  | int | h_
| ) |  | const
| inline

Set the virtual resolution for the grid.

Since
  1.1

Parameters

  w | The virtual horizontal size (resolution) in integer units
  h | The virtual vertical size (resolution) in integer units

References efl::eo::base::_eo_ptr().

efl::eina::list< evas::object > evas::grid::children_get | ( |  | ) | const
| inline

Get the list of children for the grid.

Note
  This is a duplicate of the list kept by the grid internally. It's up to the user to destroy it when it no longer needs it. It's possible to remove objects from the grid when walking this list, but these removals won't be reflected on it.

Since
  1.1

References efl::eo::base::_eo_ptr().

Eina_Accessor* evas::grid::accessor_new | ( |  | ) | const
| inline

Get an accessor to get random access to the list of children for the grid.

Note
  Do not remove or delete objects while walking the list.

Since
  1.1

References efl::eo::base::_eo_ptr().

void evas::grid::clear | ( | bool | clear_ | ) | const
| inline

Faster way to remove all child objects from a grid object.

Since
  1.1

Parameters

  clear | if true, it will delete just removed children.

References efl::eo::base::_eo_ptr().

Eina_Iterator* evas::grid::iterator_new | ( |  | ) | const
| inline

Get an iterator to walk the list of children for the grid.

Note
  Do not remove or delete objects while walking the list.

Since
  1.1

References efl::eo::base::_eo_ptr().

evas::object evas::grid::add_to | ( |  | ) | const
| inline

Create a grid that is child of a given element parent.

See also
  evas_object_grid_add()

Since
  1.1

References efl::eo::base::_eo_ptr().

bool evas::grid::unpack | ( | evas::object | child_ | ) | const
| inline

Remove child from grid.

Note
  removing a child will immediately call a walk over children in order to recalculate numbers of columns and rows. If you plan to remove all children, use evas_object_grid_clear() instead.

Returns
  1 on success, 0 on failure.

Since
  1.1

Parameters

  child |

References efl::eo::base::_eo_ptr().

bool evas::grid::pack_get | ( | evas::object | child_,
|  | int * | x_,
|  | int * | y_,
|  | int * | w_,
|  | int * | h_
| ) |  | const
| inline

Get the pack options for a grid child.

Get the pack x, y, width and height in virtual coordinates set by evas_object_grid_pack()

Returns
  1 on success, 0 on failure.

Since
  1.1

Parameters

  | child | The grid child to query for coordinates
  [out] | x | The pointer to where the x coordinate will be returned
  [out] | y | The pointer to where the y coordinate will be returned
  [out] | w | The pointer to where the width will be returned
  [out] | h | The pointer to where the height will be returned

References efl::eo::base::_eo_ptr().

bool evas::grid::pack | ( | evas::object | child_,
|  | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const
| inline

Add a new child to a grid object.

Returns
  1 on success, 0 on failure.

Since
  1.1

Parameters

  child | The child object to add.
  x | The virtual x coordinate of the child
  y | The virtual y coordinate of the child
  w | The virtual width of the child
  h | The virtual height of the child

References efl::eo::base::_eo_ptr().